/*

  Game header file

*/

#ifndef GAME_H
#define GAME_H

#define PILOT 1
#define GUNNER1 2

#include <winsock2.h>
#include <cmath>
#include <new>
#include <GL/glut.h>
#include "..\ASGcommon\Team.h"
#include "..\ASGcommon\Spacecraft.h"
#include "..\ASGcommon\Arena.h"

class Game{
public:
	Game();
	void InitializeNewGame(int, int,int,int,char*);  //teamid, teams, players, arena, name
	void ClearGame();
	void renderGame(int, int);
	int checkforweaponstrike(int);
	void endgame(int, bool);
	void displayText(void*, char*);
	Team *team;
	SOCKET gameSocket;
	Arena arena;
	int gamePort;	
	int id;
	int winner;
	bool inUse;
	bool backgroundmusicon;
	bool soundeffectson;
	bool gameover;
	float dt;
	Spacecraft *myShip;

private:
	int numberofHumanteams;
	int numberofHumanplayers;
	int numberofAIteams;
	int numberofAIplayers;
	int arenatype;
	char nameofgame[50];
	void printMatrix(float[4][4]);
};

#endif